Get a person
curl --request GET \
--url https://api.myladder.africa/partner/v1/kyb/people/{person_id} \
--header 'X-Ladder-Key: <api-key>' \
--header 'X-Ladder-Signature: <api-key>' \
--header 'X-Ladder-Timestamp: <api-key>'import requests
url = "https://api.myladder.africa/partner/v1/kyb/people/{person_id}"
headers = {
"X-Ladder-Key": "<api-key>",
"X-Ladder-Timestamp": "<api-key>",
"X-Ladder-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Ladder-Key': '<api-key>',
'X-Ladder-Timestamp': '<api-key>',
'X-Ladder-Signature': '<api-key>'
}
};
fetch('https://api.myladder.africa/partner/v1/kyb/people/{person_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.myladder.africa/partner/v1/kyb/people/{person_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Ladder-Key: <api-key>",
"X-Ladder-Signature: <api-key>",
"X-Ladder-Timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.myladder.africa/partner/v1/kyb/people/{person_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Ladder-Key", "<api-key>")
req.Header.Add("X-Ladder-Timestamp", "<api-key>")
req.Header.Add("X-Ladder-Signature", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.myladder.africa/partner/v1/kyb/people/{person_id}")
.header("X-Ladder-Key", "<api-key>")
.header("X-Ladder-Timestamp", "<api-key>")
.header("X-Ladder-Signature", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.myladder.africa/partner/v1/kyb/people/{person_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Ladder-Key"] = '<api-key>'
request["X-Ladder-Timestamp"] = '<api-key>'
request["X-Ladder-Signature"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"roles": [
"director"
],
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"nationality": "<string>",
"id_type": "passport",
"id_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"middle_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"residential_address": "<string>",
"ownership_percentage": "<string>",
"id_number_masked": "<string>",
"bvn": "<string>",
"bvn_masked": "<string>",
"is_pep": true,
"pep_details": "<string>",
"review_status": "pending",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}KYB
Get a person
GET
/
partner
/
v1
/
kyb
/
people
/
{person_id}
Get a person
curl --request GET \
--url https://api.myladder.africa/partner/v1/kyb/people/{person_id} \
--header 'X-Ladder-Key: <api-key>' \
--header 'X-Ladder-Signature: <api-key>' \
--header 'X-Ladder-Timestamp: <api-key>'import requests
url = "https://api.myladder.africa/partner/v1/kyb/people/{person_id}"
headers = {
"X-Ladder-Key": "<api-key>",
"X-Ladder-Timestamp": "<api-key>",
"X-Ladder-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Ladder-Key': '<api-key>',
'X-Ladder-Timestamp': '<api-key>',
'X-Ladder-Signature': '<api-key>'
}
};
fetch('https://api.myladder.africa/partner/v1/kyb/people/{person_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.myladder.africa/partner/v1/kyb/people/{person_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Ladder-Key: <api-key>",
"X-Ladder-Signature: <api-key>",
"X-Ladder-Timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.myladder.africa/partner/v1/kyb/people/{person_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Ladder-Key", "<api-key>")
req.Header.Add("X-Ladder-Timestamp", "<api-key>")
req.Header.Add("X-Ladder-Signature", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.myladder.africa/partner/v1/kyb/people/{person_id}")
.header("X-Ladder-Key", "<api-key>")
.header("X-Ladder-Timestamp", "<api-key>")
.header("X-Ladder-Signature", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.myladder.africa/partner/v1/kyb/people/{person_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Ladder-Key"] = '<api-key>'
request["X-Ladder-Timestamp"] = '<api-key>'
request["X-Ladder-Signature"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"roles": [
"director"
],
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"nationality": "<string>",
"id_type": "passport",
"id_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"middle_name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"residential_address": "<string>",
"ownership_percentage": "<string>",
"id_number_masked": "<string>",
"bvn": "<string>",
"bvn_masked": "<string>",
"is_pep": true,
"pep_details": "<string>",
"review_status": "pending",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Your key id: pk_test_… (sandbox) or pk_live_… (live).
Unix seconds, as a string; must be within 5 minutes of server time.
Lower-case hex HMAC-SHA512 over timestamp, method, path+query and the SHA-256 of the body. See Authentication.
Path Parameters
Response
Show child attributes
Show child attributes